2 Replies Latest reply on Aug 9, 2014 3:01 AM by Peter Spier

    InDesign CS5.5 v.7.5 won't open some files because it needs plug in updates, but it won't let me upgrade

    fossyboots

      I have InDesign CS5.5, v.7.5.  I'm trying to open a rather large file with lots of images, but it says "Please upgrade plugins/latest version", but when I tried to update it with download 7.5.1 through Adobe Patch Installer, it keeps saying "update is not applicable."  Or it will almost install and then give me an error code.

       

      InDesign will let me open certain files, but not the one I really need.  It was working properly a few days ago. 

      This InDesign subscription I got was in Feb 2012 though my school.  Help!